@echo off
chcp 65001
echo 水系域コードリストをダウンロードします.
getHttpZip.exe "https://nlftp.mlit.go.jp/ksj/gml/codelist/WaterSystemCodeCd.html"
if errorlevel 1 goto END
echo 東京都の河川データをダウンロードします.
getHttpZip.exe "https://nlftp.mlit.go.jp/ksj/gml/data/W05/W05-08/W05-08_13_GML.zip" "test1" "W05-08_13-g.xml"
if errorlevel 1 goto END
echo 神奈川県の河川データをダウンロードします.
getHttpZip.exe "https://nlftp.mlit.go.jp/ksj/gml/data/W05/W05-08/W05-08_14_GML.zip" "test1" "W05-08_14-g.xml"
if errorlevel 1 goto END
echo [1]河川コードとカラーコードで指定.
ksjr2html.exe "test1\W05-08_14-g.xml" "test1\hayakawa-ws_major.html" "早川水系主要河川" 1400210001#ff0000 1400210005#0000ff 1400210006#00bf00 1400210007#7f00ff
if errorlevel 1 goto END
echo [2]河川コードで指定（カラーコードは省略）.
ksjr2html.exe "test1\W05-08_13-g.xml" "test1\目黒川水系３河川.html" "目黒川水系３河川" 1300050001 1300050002 1300050003
if errorlevel 1 goto END
echo [3]水系域コードで指定.
ksjr2html.exe "test1\W05-08_13-g.xml" "test1\目黒川水系_all.html" "目黒川水系全て" 130005
if errorlevel 1 goto END
echo [4]県単位の河川データをまるごと処理.
ksjr2html.exe "test1\W05-*-g.xml"
if errorlevel 1 goto END
echo [4]についてのインデックスを作成します.
ksjr2html.exe create_index "test1"
if errorlevel 1 goto END
:END
rem del test1\W05-*_GML.zip
rem del test1\W05-*-g.xml
pause
